Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.fo.properties
Class ListProperty

    java.lang.Object
      org.apache.fop.fo.properties.Property
          org.apache.fop.fo.properties.ListProperty

Direct Known Subclasses:
  BackgroundPositionShorthand, FontFamilyProperty, FontShorthandProperty, TextDecorationProperty

public class ListProperty
extends Property

Superclass for properties that are lists of other properties

Nested Class Summary
`static class` | `ListProperty.Maker` Inner class for creating instances of ListProperty

Field Summary
`protected java.util.List` | `list` Vector containing the list of sub-properties

Fields inherited from class org.apache.fop.fo.properties.Property
`log`

Constructor Summary
`protected` | `ListProperty()` Simple constructor used by subclasses to do some special processing.
`` | `ListProperty(Property prop)`

Method Summary
`void` | `addProperty(Property prop)` Add a new property to the list
`java.util.List` | `getList()` This method expects to be overridden by subclasses
`java.lang.Object` | `getObject()` This method expects to be overridden by subclasses

Methods inherited from class org.apache.fop.fo.properties.Property
`getCharacter, getColor, getCondLength, getEnum, getKeep, getLength, getLengthPair, getLengthRange, getNCname, getNumber, getNumeric, getSpace, getSpecifiedValue, getString, isAuto, setSpecifiedValue, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### list

    protected java.util.List list

  Vector containing the list of sub-properties

Constructor Detail

### ListProperty

    protected ListProperty()

  Simple constructor used by subclasses to do some special processing.

### ListProperty

    public ListProperty(Property prop)

Parameters:
  `prop` - the first Property to be added to the list

Method Detail

### addProperty

    public void addProperty(Property prop)

  Add a new property to the list

  Parameters:
    `prop` - Property to be added to the list

### getList

    public java.util.List getList()

  Description copied from class: `Property`
  This method expects to be overridden by subclasses

  Overrides:
    `getList` in class `Property`
  Returns:
    this.list

### getObject

    public java.lang.Object getObject()

  Description copied from class: `Property`
  This method expects to be overridden by subclasses

  Overrides:
    `getObject` in class `Property`
  Returns:
    this.list cast as an Object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2010 The Apache Software Foundation. All Rights Reserved.